import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.QbChart;

public class Transpose extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			Transpose chart = new Transpose();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doTransposeChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doTransposeChart(this));
	}

	Component doTransposeChart(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		QbChart chart = null;

		// Template Location
		String templateLocation = "Transpose.tpl";

		// Data Source
		String textDataFile = "Transpose.dat";

		// Column Mapping
		ColInfo columnMapping = new ColInfo();
		columnMapping.category = 2;
		columnMapping.series = 0;
		columnMapping.sumBy = 1;
		columnMapping.value = 3;

		int[] transposeColumns = { 2, 3, 4 };

		try {
			// Apply the template
			chart = new QbChart(parent, // container
					QbChart.VIEW2D, // chart dimension
					QbChart.STACKCOL, // chart type
					QbChart.DATAFILE, // file type
					textDataFile, // data
					true, // do transpose
					transposeColumns, // transpose columns
					columnMapping, // column mapping
					templateLocation); // template
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}

		// Show chart in Viewer
		return chart;
	}

}
